package com.hungraim.ltc.pojo.entity.serviceManage;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("CH_SRV_PROGRAM")
public class ChSrvProgram {
    /**
     * 服务方案ID
     */
    private Integer programId;

    /**
     * 服务方案配置ID
     */
    private Integer itemCfgId;

    /**
     * 服务机构ID
     */
    private Integer srvOrganId;

    /**
     * 服务方式ID
     */
    private Integer srvModeId;

    /**
     * 失能人员ID
     */
    private Integer disabInfoId;

    /**
     * 创建人
     */
    private Integer defineEmp;

    /**
     * 创建时间
     */
    private Date effTime;

    /**
     * 终止人
     */
    private Integer endEmp;

    /**
     * 终止时间
     */
    private Date endTime;

    /**
     * 首次操作时间
     */
    private Date fcd;

    /**
     * 首次操作人
     */
    private Integer fcu;

    /**
     * 末次操作时间
     */
    private Date lcd;

    /**
     * 末次操作人
     */
    private Integer lcu;

    /**
     * 服务方案状态  0：未生效、1：已生效、2：已终止
     */
    private Integer progStatus;

    /**
     * 结束原因
     */
    private String endReason;

    /**
     * 方案生效时间
     */
    private Date programDate;

    /**
     * 方案终止时间
     */
    private Date programEdnDate;

    /**
     * 网厅创建人
     */
    private Integer webDefineEmp;

    /**
     * 网厅终止人
     */
    private Integer webEndEmp;

    /**
     * 数据来源  网厅：0，核心：1
     */
    private Integer dataFrom;

    /**
     * 当前待遇起始日期
     */
    private Date treatmentStartTime;

    /**
     * 当前待遇截止日期
     */
    private Date treatmentEndTime;

    /**
     * 服务包名称
     */
    private String srvPackName;

    /**
     * 服务包周期
     */
    private String srvPackFreq;

    /**
     * 服务包频次
     */
    private String srvPackTimes;

    /**
     * 服务包单价
     */
    private BigDecimal srvPackPrice;

    /**
     * 计费方式(0,项目收费、1,时长收费,2，两者并存)
     */
    private Integer chargeType;

    /**
     * 建床ID
     */
    private Integer buildBedId;

}
